Subject: RE: GCC untrackable crashes
From: Bernard Dautrevaux <[email-masked]>
To: "'Tilman Utz'" <[email-masked]>, Mumit Khan <[email-masked]>
Cc: Kevin Camera <[email-masked]>, "[email-masked]'" <[email-masked]>
Date: Thu, 22 Feb 2001 14:24:49 +0100

> -----Original Message-----
> From: Tilman Utz [mailto:[email-masked]]
> Sent: Thursday, February 22, 2001 10:33 AM
> To: Mumit Khan
> Cc: Kevin Camera; [email-masked]'
> Subject: Re: GCC untrackable crashes
> 
> 
> Hi,
> I read the thread with much interest, because I have a 
> similar problem, a seg
> fault within __size_of_stack_reserve. The following code:
> 
>   1 #include <fstream>
>   2 #include <iostream>
>   3 #include <string>
>   4
>   5 using namespace std;
>   6
>   7 int main()
> - 8 {
>   9      ofstream opstream("c:\\example.log");
>   10      if(!opstream) {
>   11      cerr << "File cannot be opened.\n";
>   12
>   13      return 1;
>   14      }
>   15      opstream << 3.1415;
>   16      opstream << " " << 23 << '\n' << "Test stream.";
>   17      opstream.close();
>   18
>   19      return 0;
>   20 }
> 
> (I already posted this some days ago)compiled with and 
> without mno-cygwin flag.
> With cygwin target the compiled program runs without any 
> problem. The mno-cygwin
> version crashes somewhere between line 15 and 16:

Did you install the no-cygwin C++ libraries (as was explained a few weeks
ago in this mailing list). Otherwise you may be mixing cygwin libstdc++ with
no-cygwin runtime, something that most surely will produce a non-working
executable (except if the latest cygwin net release correct this already?)

HTH

	Bernard

--------------------------------------------
Bernard Dautrevaux
Microprocess Ingenierie
97 bis, rue de Colombes
92400 COURBEVOIE
FRANCE
Tel:	+33 (0) 1 47 68 80 80
Fax:	+33 (0) 1 47 88 97 85
e-mail:	[email-masked]
		[email-masked]
-------------------------------------------- 

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple